MVN

org.commonjava.util : configuration-api

Maven & Gradle

Mar 24, 2016
39 usages

Consolidated Configuration API

<dependency>
    <groupId>org.commonjava.util</groupId>
    <artifactId>configuration-api</artifactId>
    <version>0.8</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.commonjava.util : configuration-api to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 0.8

All Versions

Choose a version of org.commonjava.util : configuration-api to add to Maven or Gradle - All Versions:

  • Version Updated
  • configuration-api-0.8

    Mar 24, 2016
  • configuration-api-0.7.1

    May 04, 2015
  • configuration-api-0.7.0

    Apr 20, 2015
  • configuration-api-0.6.3

    Sep 25, 2014
  • configuration-api-0.6.2

    Mar 11, 2014
  • configuration-api-0.6.1

    Mar 05, 2014
  • configuration-api-0.6

    Feb 28, 2014
  • configuration-api-0.5

    Feb 06, 2014
  • configuration-api-0.4

    Jan 19, 2013
  • configuration-api-0.3

    Jun 15, 2012
  • configuration-api-0.2

    Feb 15, 2012
  • configuration-api-0.1

    Oct 04, 2011

How to add a dependency to Maven

Add the following org.commonjava.util : configuration-api maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.commonjava.util</groupId>
    <artifactId>configuration-api</artifactId>
    <version>0.8</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.commonjava.util : configuration-api gradle dependency to your build.gradle file:

implementation 'org.commonjava.util:configuration-api:0.8'

Gradle Kotlin DSL: Add the following org.commonjava.util : configuration-api gradle kotlin dependency to your build.gradle.kts file:

implementation("org.commonjava.util:configuration-api:0.8")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.commonjava.util : configuration-api sbt scala dependency to your build.sbt file:

libraryDependencies += "org.commonjava.util" % "configuration-api" % "0.8"